
-- TRANSFERENCIA_FILIAL_QUALIDADE_LOG_B2C
IF EXISTS (SELECT 1 FROM sys.OBJECTS where name = 'TRANSFERENCIA_FILIAL_QUALIDADE_LOG_B2C' )
	DROP TABLE [DBO].[TRANSFERENCIA_FILIAL_QUALIDADE_LOG_B2C]

GO
CREATE TABLE [dbo].[TRANSFERENCIA_FILIAL_QUALIDADE_LOG_B2C]([OPERACAO]					[CHAR](1)		NOT NULL,
															[CODIGO_FILIAL]				[char](6)		NOT NULL,
															[FILIAL]					[varchar](25)	NULL,
															[TICKET]					[char](8)		NOT NULL,
															[DATA_VENDA]				[datetime]		NOT NULL,
															[ROMANEIO_SAIDA]			[char](8)		NULL,
															[EMISSAO_ROMANEIO]			[datetime]		NULL,
															[RESPONSAVEL]				[varchar](100)	NULL,
															[FILIAL_DESTINO]			[varchar](25)	NULL,
															[ROMANEIO_ENTRADA]			[char](8)		NULL,
															[NF_ENTRADA]				[char](15)		NULL,
															[SERIE_NF_ENTRADA]			[varchar](6)	NULL,
															[NF_SAIDA]					[char](15)		NULL,
															[SERIE_NF_SAIDA]			[varchar](6)	NULL,	
															[DATA_LOG]					[datetime]		NULL,
															[COMANDO]					[text]			NULL,
															[OBS]						[text]			NULL
															CONSTRAINT [XPKTRANSFERENCIA_FILIAL_QUALIDADE_LOG_B2C] PRIMARY KEY CLUSTERED 
															(	[OPERACAO]		ASC,
																[DATA_VENDA]	ASC,
																[CODIGO_FILIAL] ASC,
																[TICKET]		ASC
															)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY])

GO

SET ANSI_PADDING OFF

GO

IF EXISTS (SELECT 1 FROM sys.OBJECTS where name = 'TRANSFERENCIA_FILIAL_QUALIDADE_LOG_B2C' )
	PRINT '<<<< Tabela TRANSFERENCIA_FILIAL_QUALIDADE_LOG_B2C criada com sucesso. >>>>'
ELSE
	PRINT '<<<< Não foi possível criar a Tabela TRANSFERENCIA_FILIAL_QUALIDADE_LOG_B2C. Verifique!  >>>>'

GO
